Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.bdb.util
Interface ExceptionWrapper

All Known Implementing Classes:
  IOExceptionWrapper, RuntimeExceptionWrapper

public interface ExceptionWrapper

Interface implemented by exceptions that can contain nested exceptions.

Method Summary
`Throwable` | `getDetail()` Returns the nested exception or null if none is present.

Method Detail

### getDetail

    public Throwable getDetail()

  Returns the nested exception or null if none is present.

  Returns:
    the nested exception or null if none is present.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.